HeapRecordId (Oracle - Berkeley DB Java API)
Date: 2017-04-13

com.sleepycat.db

## Class HeapRecordId

- java.lang.Object
- - com.sleepycat.db.HeapRecordId

-     public class HeapRecordId
      extends java.lang.Object

  Content used for the key in a Heap database record. Berkeley DB creates this value for you when you create a record in a Heap database. You should never create this structure yourself; Berkeley DB must create it for you. This structure is returned in the key DatabaseEntry parameter of the method that you use to add a record to the Heap database.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeapRecordId(int pgno, short indx)` Construct a new record id, given a page number and index.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HeapRecordId` | `fromArray(byte[] data)` Construct a HeapRecordId from a byte array, typically from a `DatabaseEntry`.
    `static HeapRecordId` | `fromArray(byte[] data, java.nio.ByteOrder order)` Construct a HeapRecordId from a byte array, typically from a `DatabaseEntry`.
    `short` | `getIndex()` Get the index in the offset table where the record can be found.
    `int` | `getPageNumber()` Get the database page number where the record is stored.
    `void` | `setIndex(short indx)` Set the index in the offset table where the record can be found.
    `void` | `setPageNumber(int pgno)` Set the database page number where the record is stored.
    `byte[]` | `toArray()` Return a byte array representing this record id.
    `byte[]` | `toArray(java.nio.ByteOrder order)` Return a byte array representing this record id.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeapRecordId

          public HeapRecordId(int pgno,
                              short indx)

      Construct a new record id, given a page number and index.

      Parameters:
        `pgno` - The database page number where the record is stored.

        `indx` - Index in the offset table where the record can be found.

  - ### Method Detail

    - #### fromArray

          public static HeapRecordId fromArray(byte[] data)
                                        throws java.lang.IllegalArgumentException

      Construct a HeapRecordId from a byte array, typically from a `DatabaseEntry`.

      Parameters:
        `data` - The array representing the record id.

      Returns:
        A new HeapRecordId
      Throws:
        `java.lang.IllegalArgumentException`

    - #### fromArray

          public static HeapRecordId fromArray(byte[] data,
                                               java.nio.ByteOrder order)
                                        throws java.lang.IllegalArgumentException

      Construct a HeapRecordId from a byte array, typically from a `DatabaseEntry`.

      Parameters:
        `data` - The array representing the record id.

        `order` - The byte order of data stored in the array.

      Returns:
        A new HeapRecordId
      Throws:
        `java.lang.IllegalArgumentException`

    - #### toArray

          public byte[] toArray()

      Return a byte array representing this record id.

      Returns:
        A byte array representing this record id.

    - #### toArray

          public byte[] toArray(java.nio.ByteOrder order)

      Return a byte array representing this record id.

      Parameters:
        `order` - The byte order to use when constructing the array.

      Returns:
        A byte array representing this record id.

    - #### getPageNumber

          public int getPageNumber()

      Get the database page number where the record is stored.

      Returns:
        The database page number where the record is stored.

    - #### setPageNumber

          public void setPageNumber(int pgno)

      Set the database page number where the record is stored.
      Parameters:
        `pgno` - the database page number

    - #### getIndex

          public short getIndex()

      Get the index in the offset table where the record can be found.

      Returns:
        The index in the offset table where the record can be found.

    - #### setIndex

          public void setIndex(short indx)

      Set the index in the offset table where the record can be found.
      Parameters:
        `indx` - the index in the offset table

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.